Subject: Re: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Feb 2012 08:59:47 -0500

> I've been using cperl-mode for a while, and it has many enhancements
> over perl-mode.  Ilya's version has diverged from the cperl-mode in GNU
> Emacs, though, and I believe Ilya's version has a slight edge.

We've sync'd Ilya's cperl-mode in the past.  If it needs to be updated,
it can be sync'd again (AFAIK, the two cperl-mode versions have
slightly diverged, indeed, but not that much: we try to keep our local
changes small).

BTW, this "problematic maintainership" is one hurdle to making
cperl-mode the default Perl mode, indeed.  That's one of the reasons why
I've invested some time to improve perl-mode (even tho I don't use it
myself).

        Stefan